Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class InfinispanUtil.DistributedKeySequence<T>

    java.lang.Object
      org.modeshape.jcr.InfinispanUtil.DistributedKeySequence<T>

Type Parameters:
  `T` - the key type

All Implemented Interfaces:
  InfinispanUtil.Sequence<T>

Enclosing class:
  InfinispanUtil

    protected static class InfinispanUtil.DistributedKeySequence<T>

extends Object
implements InfinispanUtil.Sequence<T>

A `InfinispanUtil.Sequence` implementation that returns the keys returned by multiple futures that make take time to complete. This method attempts to use the futures as soon as they are completed.

Constructor Summary
`protected` | `InfinispanUtil.DistributedKeySequence(List<Future<Set<T>>> futures)`

Method Summary
`T` | `next()` Get the next values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfinispanUtil.DistributedKeySequence

    protected InfinispanUtil.DistributedKeySequence(List<Future<Set<T>>> futures)

Method Detail

### next

    public T next()
           throws ExecutionException,
                  CancellationException,
                  InterruptedException

  Description copied from interface: `InfinispanUtil.Sequence`
  Get the next values.

  Specified by:
    `next` in interface `InfinispanUtil.Sequence<T>`
  Returns:
    the next value, or null if there are no more values.
  Throws:
    `ExecutionException` - if there is an exception obtaining the next value
    `CancellationException` - if the operation finding the values has been cancelled
    `InterruptedException` - if the operation finding the values has been interrupted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.